Bug 148747 - Table can't be recreated from grabbed structure
Table can't be recreated from grabbed structure
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: DB schema
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 14:06 UTC by Roman Mostyka
Modified: 2010-01-06 03:33 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot of "Create Table" dialog with necessary settings (36.51 KB, image/jpeg)
2008-09-30 14:08 UTC, Roman Mostyka
Details
File with grabbed structure. (1.79 KB, application/octet-stream)
2008-09-30 14:19 UTC, Roman Mostyka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-09-30 14:06:16 UTC
1. Connect to some DB, rightclick "Tables" node and choose "Create Table...".
2. Create a table as it is shown on a screenshot. Table is successfully created.
3. Grab it's structure, then delete it and recreate from file.

Result: Table can't be recreated from grabbed structure, though it was created before with IDE.
Comment 1 Roman Mostyka 2008-09-30 14:08:08 UTC
Created attachment 70899 [details]
Screenshot of "Create Table" dialog with necessary settings
Comment 2 Roman Mostyka 2008-09-30 14:19:17 UTC
Created attachment 70900 [details]
File with grabbed structure.
Comment 3 David Vancouvering 2008-11-12 17:59:09 UTC
Rather than spend time fixing Grab Structure, we're going to redo this to support a more standard way: generating DDL
from schema.
Comment 4 Jiri Rechtacek 2009-02-10 15:33:31 UTC
Reassigned to new owner.
Comment 5 Jiri Rechtacek 2010-01-06 03:33:01 UTC
No more available to create such tables like #1. Fixed sometime in NB6.8.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo